<template>
  <div>
    <el-form :model="formData" label-position="right" label-width="80px">
      <el-form-item label="部门名称:">
        <el-input v-model="formData.unitName" clearable placeholder="请输入" />
      </el-form-item>
      <el-form-item label="现有积分:">
        <el-input v-model.number="formData.unitIntegral" clearable placeholder="请输入" />
      </el-form-item>
      <el-form-item label="满分:">
        <el-input v-model.number="formData.unitMaxIntegral" clearable placeholder="请输入" />
      </el-form-item>
      <el-form-item label="期编号:">
        <el-input v-model="formData.period" clearable placeholder="请输入" />
      </el-form-item>
      <el-form-item label="部门id:">
        <el-input v-model.number="formData.unitId" clearable placeholder="请输入" />
      </el-form-item>
      <el-form-item label="关联问题id:">
        <el-input v-model="formData.problemIds" clearable placeholder="请输入" />
      </el-form-item>
      <el-form-item>
        <el-button size="mini" type="primary" @click="save">保存</el-button>
        <el-button size="mini" type="primary" @click="back">返回</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
import {
  createUnitHistory,
  updateUnitHistory,
  findUnitHistory
} from '@/api/unitHistory' //  此处请自行替换地址
import infoList from '@/mixins/infoList'
export default {
  name: 'UnitHistory',
  mixins: [infoList],
  data() {
    return {
      type: '',
      formData: {
        unitName: '',
        unitIntegral: 0,
        unitMaxIntegral: 0,
        period: '',
        unitId: 0,
        problemIds: '',
      }
    }
  },
  async created() {
    // 建议通过url传参获取目标数据ID 调用 find方法进行查询数据操作 从而决定本页面是create还是update 以下为id作为url参数示例
    if (this.$route.query.id) {
      const res = await findUnitHistory({ ID: this.$route.query.id })
      if (res.code === 0) {
        this.formData = res.data.reunitHistory
        this.type = 'update'
      }
    } else {
      this.type = 'create'
    }
  },
  methods: {
    async save() {
      let res
      switch (this.type) {
        case 'create':
          res = await createUnitHistory(this.formData)
          break
        case 'update':
          res = await updateUnitHistory(this.formData)
          break
        default:
          res = await createUnitHistory(this.formData)
          break
      }
      if (res.code === 0) {
        this.$message({
          type: 'success',
          message: '创建/更改成功'
        })
      }
    },
    back() {
      this.$router.go(-1)
    }
  }
}
</script>

<style>
</style>
